Bug 130924 - delete_old_systems script
Summary: delete_old_systems script
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: Documentation, FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-25 20:07 UTC by Matt Domsch
Modified: 2009-08-20 03:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 15:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl script to delete systems that haven't checked in for 30 days (2.73 KB, text/plain)
2004-08-25 20:19 UTC, Matt Domsch
no flags Details

Description Matt Domsch 2004-08-25 20:07:38 UTC
Attached is a simple perl script I've put together, based on the 
sample script in the RHN Satellite Server docs.  It deletes systems 
from the database that haven't checked in for over 30 days.  I find 
this useful to delete systems which have been redeployed, but for 
which the admin forgot to go and manually delete the system from the 
RHN database.  This helps the number of used entitlements in check.

May be interesting to add to the sample scripts in the docs.

Comment 1 Matt Domsch 2004-08-25 20:19:16 UTC
Created attachment 103095 [details]
perl script to delete systems that haven't checked in for 30 days

Comment 2 Clay Murphy 2004-08-25 20:58:00 UTC
Thanks Matt. This is cool. I'm passing this bug onto our resident
Satellite Server expert to get his sign off on including this in the
docs and perhaps the Satellite product itself.

Todd, what'cha think?

Comment 3 Clay Murphy 2004-08-25 21:00:19 UTC
Setting to NEEDINFO.

Comment 4 Todd Warner 2004-09-07 14:43:05 UTC
NEEDINFO(taw) --> NEEDINFO(misa)
Punting to misa as he is now the client/server lead. Misa... can you
review and determine if this is worth adding? Sounds reasonable?

Comment 6 David Lawrence 2006-04-18 20:07:10 UTC
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.

Comment 9 Matt Domsch 2008-06-20 15:35:44 UTC
This has been in the 108 subversion repository for a while it seems.  Great. 
closing this request.
https://rhn-satellite.108.redhat.com/svn/rhnsat/trunk/api-script-examples/


Note You need to log in before you can comment on or make changes to this bug.